pcl::recognition::RotationSpace Class Reference
Module recognition

This is a class for a discrete representation of the rotation space based on the axis-angle representation. More...

`#include <pcl/recognition/ransac_based/rigid_transform_space.h>`

## Public Member Functions

| RotationSpace (float discretization)
| We use the axis-angle representation for rotations. More...
virtual | ~RotationSpace ()
void | setCenter (const float *c)
const float * | getCenter () const
bool | getTransformWithMostVotes (const ModelLibrary::Model *model, float rigid_transform[12]) const
bool | addRigidTransform (const ModelLibrary::Model *model, const float axis_angle[3], const float translation[3])

## Protected Attributes

CellOctree | octree_
RotationSpaceCellCreator | cell_creator_
float | center_ [3]

## Detailed Description

This is a class for a discrete representation of the rotation space based on the axis-angle representation.

This class is not supposed to be very general. That's why it is dependent on the class ModelLibrary.

Author
  Chavdar Papazov

Definition at line 195 of file rigid_transform_space.h.

## Constructor & Destructor Documentation

pcl::recognition::RotationSpace::RotationSpace | ( | float | discretization | ) |

inline

We use the axis-angle representation for rotations.

The axis is encoded in the vector and the angle is its magnitude. This is represented in an octree with bounds [-pi, pi]^3.

Definition at line 200 of file rigid_transform_space.h.

virtual pcl::recognition::RotationSpace::~RotationSpace | ( |  | ) |

inline virtual

Definition at line 209 of file rigid_transform_space.h.

## Member Function Documentation

bool pcl::recognition::RotationSpace::addRigidTransform | ( | const ModelLibrary::Model * | model,
|  | const float | axis_angle[3],
|  | const float | translation[3]
| ) |  |

inline

Definition at line 269 of file rigid_transform_space.h.

const float* pcl::recognition::RotationSpace::getCenter | ( |  | ) | const

inline

Definition at line 223 of file rigid_transform_space.h.

bool pcl::recognition::RotationSpace::getTransformWithMostVotes | ( | const ModelLibrary::Model * | model,
|  | float | rigid_transform[12]
| ) |  | const

inline

Definition at line 226 of file rigid_transform_space.h.

References pcl::recognition::RotationSpaceCell::Entry::computeAverageRigidTransform(), and pcl::recognition::RotationSpaceCell::Entry::getNumberOfTransforms().

void pcl::recognition::RotationSpace::setCenter | ( | const float * | c | ) |

inline

Definition at line 215 of file rigid_transform_space.h.

Referenced by pcl::recognition::RotationSpaceCreator::create().

## Member Data Documentation

RotationSpaceCellCreator pcl::recognition::RotationSpace::cell_creator_

protected

Definition at line 290 of file rigid_transform_space.h.

float pcl::recognition::RotationSpace::center_[3]

protected

Definition at line 291 of file rigid_transform_space.h.

CellOctree pcl::recognition::RotationSpace::octree_

protected

Definition at line 289 of file rigid_transform_space.h.

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/recognition/include/pcl/recognition/ransac_based/rigid_transform_space.h